name: build and deploy jekyll

on:
  push:
    branches:
      - master

jobs:
  build_and_deploy:
    runs-on: ubuntu-latest
    steps:
      - name: checkout
        uses: actions/checkout@v3

      - name: rubygems cache
        uses: actions/cache@v3
        with:
          path: vendor/bundle
          key: ${{ runner.os }}-gems-${{ hashFiles('**/Gemfile.lock') }}
          restore-keys: |
            ${{ runner.os }}-gems-

      - name: jekyll deploy
        uses: "jeffreytse/jekyll-deploy-action@v0.4.0"
        with:
          provider: "github"
          token: ${{ secrets.GITHUB_TOKEN }}
          branch: "gh-pages"
          jekyll_src: "./"
          jekyll_cfg: "_config.yml"
          cname: "jackbondpreston.me"
          actor: "jackbondpreston"
          pre_build_commands: "pacman -S --noconfirm libvips lcms2 openjpeg2 libpng libwebp libheif imagemagick openslide libjxl poppler-glib"
